### Method

# Ide SessionAddin get_autosave_properties

#### Declaration

    char**
    ide_session_addin_get_autosave_properties (
      IdeSessionAddin* self
    )

#### Description

For the pages supported by its `ide_session_addin_can_save_page()` function, gets a list of properties names that should be watched for changes on this page using the GObject notify mechanism. So given an array with “foo” and “bar”, the `IdeSession` will connect to the “notify::foo” and “notify::bar” signals and schedule a saving operation for some minutes later, so saving operations are grouped together.

A possible autosave property could be the `IdePage`‘s “title” property, in case your state is always reflected there. But in general, it’s better to use your own custom page properties as it will be more reliable.

Available since: | 41.0

#### Return value

Returns: | An array of `utf8`
| A `NULL` terminated array of properties names, or `NULL`.
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| Each element is a NUL terminated UTF-8 string.